¿Qué kernel es recomendable?

Spanish Forum

Moderator: JCSenar

Post Reply
linxmintq
Level 3
Level 3
Posts: 124
Joined: Mon Oct 13, 2014 8:01 am

¿Qué kernel es recomendable?

Post by linxmintq » Sat Aug 18, 2018 3:33 am

JOPETA wrote:
Sun Apr 03, 2016 6:35 am
Sólo una precisión, la instalación gráfica del kernel vía Gestor de actualizaciones va un poco más allá de la mera instalación del kernel y realiza todas las modificaciones necesarias para que lo que comentas respecto a los controladores casi-privativos no sea tan traumático y necesario (comparado con la instalación manual o la instalación de la actulización procedente de Ubuntu updates) aunque síempre es conveniente.
Hola JOPETA!



En el informe de Administrador de actualizaciones, en el sistema esta Linux Mint 17.3 para 64 bits hay 3 kernels instalado como:

3.19.0-32
4.4.0-128
4.4.0-133

El kernel que esta cargado y activo es 4.4.0-133, mientras los otros no están cargados o activos mientras esta prendido el sistema.


Viendo el historial de actualizaciones de los últimos kernels nombrados al principio se trata de linux-generic-lts-xenial 4.4.0.128.108 y de linux.headers-generic-lts-xenial 4.4.0.128.108.


En el informe de gestor de paquetes Synaptic los kernels instalados son:

4.4.0.133.113 linux-headers- generic-lts-xenial
4.0.128.108 linux-headers-generic-lts-xenial4.4.0-133
4.4.0-133.113 linux-generic-lts-xenial

3.19.0-32 linux-headers-/debian
4.4.0-128 linux-headers-/debian
4.4.0-133 linux-headers-/debian

Que es recomendable? Virtualbox esta instalado para testear otros sistemas del software libre.

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Wed Aug 22, 2018 6:19 pm

En la ruta Administrador de Actualizaciones>Ver>kernel de Linux se muestra una simplificación al referirse al kernel ya que son varios paquetes los que lo integran. Encontrarás mas paquetes de los kernels instalados en Synaptic (sobre todo linux-image-XXXX-generic y posiblemente linux-image-extra-XXX-generic).

Que no se encuentren activados significa que no están en uso pero si pueden ser seleccionables para iniciar con ellos en la opciones avanzadas del Menu GRUB, es decir están instalados.

Lo que otros recomiendan es desinstalar los kernels no parcheados contra vulnerabilidades (es decir el 3.19). Tener tres kernel instalados uno de diferente serie por si acaso no está mal sobre todo si es el original de la ISO.

Como la guerra contra las vulnerabilidades no ha acabado, lo que te podría recomendar es que a partir de ahora sigas manteniendo actualizado el kernel dentro de la serie 4.4. En la medida que recibas la notificación de la actualizaciones del kernel proceder a su instalación por la vía gráfica (Ver>kernel de Linux>...) y una vez comprobado que todo funciona sin problemas iniciando con él, eliminar de la misma forma gráfica uno de los anteriores 4.4. para no acumular.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

linxmintq
Level 3
Level 3
Posts: 124
Joined: Mon Oct 13, 2014 8:01 am

Re: ¿Qué kernel es recomendable?

Post by linxmintq » Sat Aug 25, 2018 6:09 am

JOPETA wrote:
Wed Aug 22, 2018 6:19 pm
En la ruta Administrador de Actualizaciones>Ver>kernel de Linux se muestra una simplificación al referirse al kernel ya que son varios paquetes los que lo integran. Encontrarás mas paquetes de los kernels instalados en Synaptic (sobre todo linux-image-XXXX-generic y posiblemente linux-image-extra-XXX-generic).

Lo que otros recomiendan es desinstalar los kernels no parcheados contra vulnerabilidades (es decir el 3.19). Tener tres kernel instalados uno de diferente serie por si acaso no está mal sobre todo si es el original de la ISO.

Como la guerra contra las vulnerabilidades no ha acabado, lo que te podría recomendar es que a partir de ahora sigas manteniendo actualizado el kernel dentro de la serie 4.4. En la medida que recibas la notificación de la actualizaciones del kernel proceder a su instalación por la vía gráfica (Ver>kernel de Linux>...) y una vez comprobado que todo funciona sin problemas iniciando con él, eliminar de la misma forma gráfica uno de los anteriores 4.4. para no acumular.
Hay varios :

linux-image-generic-lts-kenial 4.4.0.133.113 (Este esta instalado pero marcado en plomo ! )

Code: Select all

Este paquete siempre dependerá de la última imagen genérica del kernel
disponible.
Y los otros:

linux-image-4.4.0.128-generic
linux-image-4.4.0.130-generic
linux-image-4.4.0.133-generic

linux-image-extra-4.4.0-128-generic
linux-image-extra-4.4.0-133-generic

linux-image-3.19.0.32-generic
linux-image-extra-3.19.0.32-generic

A llegado una notificación en el gestor gráfico de actualizaciones en símbolo interrogación ! De categoría 5 .
Se trata de:

Linux Kernel Headers for development. 3.130-157.207

Code: Select all

Este paquete proporciona cabeceras desde el kernel de Linux. Estas cabeceras son usadas por las cabeceras instaladas para glibc de GNU y otras bibliotecas del sistema. NO están pensados para ser usados para construir módulos de terceros para su kernel. Usa paquetes linux-headers-* para eso.
Esta actualización contiene 1 paquete: linux-libc-dev
Y de:

linux-meta-lts-xenial 4.4.134.114

Code: Select all

[Este paquete siempre dependerá del último kernel y encabezados genéricos de Linux.
Esta actualización contiene 3 paquetes: linux-generic-lts-xenial linux-headers-generic-lts-xenial linux-image-generic-lts-xenial
Que debo hace con esos dos paquetes que están mercados en rojo en la categoría 5 y con lo anteriormente mencionado?
Attachments
screenm.png

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Sat Aug 25, 2018 4:46 pm

1)Los marcados en gris en general son las actualizaciones disponibles de esos paquetes pero que no has instalado, Te indica que existe una actualización (columna última versión) del que tienes instalado (columna versión instalada). El caso es que tienes instalado la versión 4.4.0-133 y es una actualización de ese paquete es decir es el mismo o al menos parte de la actualización del kernel 4.4.0-134 que te aparece en el Administrador de actualizaciones con nivel 5.
Pese a tener también LM 17.3 y kernel de la serie 4.4. en mi caso quizás por la forma que tengo de instalar los kernels (que te indico al final) o porque mantengo actualizado tambien el kernel de la serie LTS (es decir el 3.13) yo no tengo instalado ese paquete en concreto linux-image-generic-lts-xenial, No lo habrás instalado tu por tu cuenta o mediante un sudo apt upgrade ¿no?

2) En la actualidad tienes instalados los kernels que en Synaptc son desglosados en los diferentes paquetes que lo integran (el 3.19.0.32, que se instaló con la ISO y los tres 4.4. (128, 130 y 133) que has instalado posteriormente. También te aparecerán otros paquetes que hacen referencia a otros kernel de la serie 3.13 ya que Ubuntu trusty, en el que se basa tu edición de Mint, se construye sobre ese kernel 3.13.
Por eso algunos recomiendan, si no hay problemas con el hardware, mantenerse con ese kernel en vez de actualizar a series posteriores y con ello simplificas bastante el tema de las actualizaciones de kernel. Es decir si en tu caso, cuando el 3.19 deja de tener soporte y por los problemas de meltdown y spectre en vez de instalar el 4.4 instalas el 3.13.
3)A no ser que busques algo específico (por ejemplo un kernel lowlatency, cloud,...) no instales/desinstales paquetes del kernel desde Synaptic. Tampoco los paquetes en gris en general, ya que esos que parecen en Synaptic, no son filtrados según los niveles que hayas elegido.

4)En el Administrador de Actualizaciones te aparecerán por tanto notificaciones de actualizaciones del kernel instalado (4.4.) y del kernel 3.13 por lo comentado antes. (no 3.130), como la del paquete linux-libc-dev que es usado para compilar el núcleo. Es la versión actualizada de ese paquete correspondiente al vigente versión del kernel 3.13.0-157, no es que vayas a instalar ese kernel.

5)Todas las actualizaciones o casi todas (*) del kernel (o uno de sus paquetes) vienen marcadas como actualizaciones de seguridad con el signo de exclamación (!), lo cual no significa que el paquete que se actualiza no sea una mera actualización de software. Aunque fueran los paquetes del kernel, no siempre incluyen parcheos contra vulnerabilidades y las correcciones y mejoras no siempre te son de aplicación.

6)Además viene marcada con nivel 5 lo que significa que modifica partes esenciales del sistema y que el riesgo de que el sistema se vea afectado es muy alto. De hecho en la mayoría de los casos deberás volver a instalar controladores privativos de gráficos, wifi y así viene advertido en al descripción de la actualización
Pero sea prudente: una regresión en el kernel puede impedir la conexión a internet o el inicio gráfico de sesión. Los módulos DKMS se compilan para el kernel más reciente instalado en el equipo. Si está usando controladores propietarios y quiere usar un kernel más antiguo, deberá eliminar primero el más moderno.
La actualización del compilador del núcleo, que nada tiene que ver con el kernel instalado y en uso, aunque no es avisado también puede tener consecuencias sobre la caga de los controladores y dkms y múdulos compilados con versiones anteriores (no siempre se respeta la compatibilidad retroactiva).
7)Las actualizaciones de seguridad de niveles 4 y 5 en cualquier caso debes instalarlas de una en una, para facilitar de ser necesario localizar el problema y deshacer los cambios dentro de lo posible. En el caso del paquete linux-libc-dev podrías instalarlo en primer lugar, reiniciar y si tuvieras problemas al inicio en Synaptic buscas el paquete en cuestión, lo seleccionas>Paquete>Forzar versión y selecciona la versión anterior.
linxmintq wrote:
Sat Aug 25, 2018 6:09 am
Que debo hace con esos dos paquetes que están mercados en rojo en la categoría 5 y con lo anteriormente mencionado?
Aunque creo que ya está aclarado por lo dicho anteriormente, en resumen esto es sólo orientativo ya que la decisión final es tuya.
a)Lee la descripción de las actualizaciones y los cambios en el administrador de actualizaciones. Evidente si hace referencia a parcheos de seguridad contra vulnerabilidades no tienes mucho que pensar. Si no, a no ser que entiendas ese galimatías técnico y te sientas identificado con alguna de las mejoras y correcciones, teniendo en cuanta que es de esperar en caso de controladores privativos que tengas que reinstalarlos si tu sistema se estaba comportado de forma correcta podrías esperar a otra versión,

b)Instala la actualización del kernel, si decides hacerlo después de haberlo leído, de la forma gráfica recomendada (Administración de actualizaciones>Ver kernel de Linux..).

c)Una vez instalado y reiniciado con él , comprueba que el sistema se comporta de forma adecuada. Si no es así, reinicia y selecciona el kernel anterior (Opciones Avanzadas del menú GRUB) e inicia con él. Desinstala el nuevo kernel de idéntica forma gráfica y espera una nueva actualización que no te cause esos problemas.

d)Si todo va bien al reiniciar con el nuevo kernel, vuelve al Administrador de Actualizaciones y comprueba refrescando, si permanece la notificación de la actualización del kernel. Parece lógico que hubiera desaparecido despues de instalar el nuevo kernel, sin embargo a veces no es así ya que este kernel que instalas de forma gráfica procede del main line, antes de ser modificado/adaptado por Ubuntu que es el que te notifica el Administrador de actualizaciones procedente de Ubuntu updates. El empaquetado de este último (meta paquete) es diferente e incluye librerías que al no ser actualizadas de la forma gráfica indicada ocasiona que permanezca el aviso de actualización. En cualquier caso ya no es el grueso del kernel lo que queda pendiente sólo algunas librerías.

e)Procede a instalar las actualizaciones. Selecciona una cada vez y reiniciar para comprobar que no tienes problemas. Si los tienes puedes deshacer los cambios desde Synaptic como te indico en el punto 7 o comunicar el problema en el foro. Si no tienes problemas con esa actualización instala la otra y procede de la misma forma.
Siento no poder ser mas claro y el rollo soltado. :roll:
(editado)
(*) Recientemente ha aparecido una actualizacion del kernel que no viene marcada como actualizacion de seguridad sólo de software, osea que en este caso si quieres puedes pasar de instalarla...tu mismo.
Last edited by JOPETA on Tue Sep 11, 2018 3:02 pm, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

linxmintq
Level 3
Level 3
Posts: 124
Joined: Mon Oct 13, 2014 8:01 am

Re: ¿Qué kernel es recomendable?

Post by linxmintq » Sun Aug 26, 2018 3:41 pm

JOPETA wrote:
Sat Aug 25, 2018 4:46 pm
Pese a tener también LM 17.3 y kernel de la serie 4.4. en mi caso quizás por la forma que tengo de instalar los kernels (que te indico al final) o porque mantengo actualizado tambien el kernel de la serie LTS (es decir el 3.13) yo no tengo instalado ese paquete en concreto linux-image-generic-lts-xenial, No lo habrás instalado tu por tu cuenta o mediante un sudo apt upgrade ¿no?
Debe haber instalado esos paquetes que estaban marcado como 5, en el upgrade que se hizo para instalar la versión actual virtualbox que recomienda que actualice el sistema con apt-get upgrade y instale linux-headers-$(uname -r) y de esa manera se configure los módulos de la maquina virtualizada con el sistema principal
También te aparecerán otros paquetes que hacen referencia a otros kernel de la serie 3.13 ya que Ubuntu trusty, en el que se basa tu edición de Mint, se construye sobre ese kernel 3.13.
Por eso algunos recomiendan, si no hay problemas con el hardware, mantenerse con ese kernel en vez de actualizar a series posteriores y con ello simplificas bastante el tema de las actualizaciones de kernel. Es decir si en tu caso, cuando el 3.19 deja de tener soporte y por los problemas de meltdown y spectre en vez de instalar el 4.4 instalas el 3.13.

En la serie trusty este es el único kernel en synaptic y no esta instalado, no esta instalado ningún kernel con esa versión 3.13

linux-signed-image-generic-lts-trusty 3.130.157.167 Signed Generic Linux Kernel Image

Code: Select all

Transistional package for upgrades from 12.04 to 14.04 (Precise to Trusty)


3)A no ser que busques algo específico (por ejemplo un kernel lowlatency, cloud,...) no instales/desinstales paquetes del kernel desde Synaptic. Tampoco los paquetes en gris en general, ya que esos que parecen en Synaptic, no son filtrados según los niveles que hayas elegido.
Este paquete linux-libc-dev esta instalado y se muestra en synaptic con simbolo de interrogación en GRIS.

linux-libc-dev 3.13.0-150.206 3.13.0-157.207 Cabesea de nucleo para desarrollo.

Code: Select all

Este paquete proporciona las cabeceras del núcleo de Linux. Estas
cabeceras se han usado por las cabeceras instaladas de GNU glibc y otras
bibliotecas del sistema. NO se deben usar para construir módulos de
terceros en su núcleo. Use linux-headers-* para ello.
4)En el Administrador de Actualizaciones te aparecerán por tanto notificaciones de actualizaciones del kernel instalado (4.4.) y del kernel 3.13 por lo comentado antes. (no 3.130), como la del paquete linux-libc-dev que es usado para compilar el núcleo. Es la versión actualizada de ese paquete correspondiente al vigente versión del kernel 3.13.0-157, no es que vayas a instalar ese kernel.

5)Todas las actualizaciones del kernel (o uno de sus paquetes) vienen marcadas como actualizaciones de seguridad con el signo de exclamación (!), lo cual no significa que el paquete que se actualiza no sea una mera actualización de software. Aunque fueran los paquetes del kernel, no siempre incluyen parcheos contra vulnerabilidades y las correcciones y mejoras no siempre te son de aplicación.

6)Además viene marcada con nivel 5 lo que significa que modifica partes esenciales del sistema y que el riesgo de que el sistema se vea afectado es muy alto. De hecho en la mayoría de los casos deberás volver a instalar controladores privativos de gráficos, wifi y así viene advertido en al descripción de la actualización
Pero sea prudente: una regresión en el kernel puede impedir la conexión a internet o el inicio gráfico de sesión. Los módulos DKMS se compilan para el kernel más reciente instalado en el equipo. Si está usando controladores propietarios y quiere usar un kernel más antiguo, deberá eliminar primero el más moderno.
La actualización del compilador del núcleo, que nada tiene que ver con el kernel instalado y en uso, aunque no es avisado también puede tener consecuencias sobre la caga de los controladores y dkms y múdulos compilados con versiones anteriores (no siempre se respeta la compatibilidad retroactiva).
7)Las actualizaciones de seguridad de niveles 4 y 5 en cualquier caso debes instalarlas de una en una, para facilitar de ser necesario localizar el problema y deshacer los cambios dentro de lo posible. En el caso del paquete linux-libc-dev podrías instalarlo en primer lugar, reiniciar y si tuvieras problemas al inicio en Synaptic buscas el paquete en cuestión, lo seleccionas>Paquete>Forzar versión y selecciona la versión anterior.

En las imágenes se puede ver claramente esos paquetes para el gestor de actualizaciones de kernel en nivel 5, también esta en la imagen parte del historial de actualizaciones y referencias, no hay ninguna referencia con la serie trusty para 3.13 en el historial. Actualizo esos que están marcado en nivel 5?
Attachments
screenlm.png

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Sun Aug 26, 2018 3:59 pm

¿Y?
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Sun Sep 02, 2018 11:43 am

Es un poco liosa la composición del texto que has realizado y tu pregunta final se pierde,
linuxmintq wrote:En las imágenes se puede ver claramente esos paquetes para el gestor de actualizaciones de kernel en nivel 5, también esta en la imagen parte del historial de actualizaciones y referencias, no hay ninguna referencia con la serie trusty para 3.13 en el historial. Actualizo esos que están marcado en nivel 5?
Tienes las misma dudas y haces la misma pregunta que el post anterior. No voy a repetir lo escrito :( Por favor no cites mas texto por citarlo es mejor leerlo y preguntar después de haberlo leido. :wink:

En cualquier caso a lo que te interesa:

1)La actualizacion de seguridad la Linux ( paquete linux-libc-dev) la instalas y reinicias.> punto 7 anterior.

2)El kenel (meta-paquete que es el kernel 4.4.0-134) lo instalas la forma gráfica recomendada (ver>kernel de linux>...)>apartado b del post anterior.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

linxmintq
Level 3
Level 3
Posts: 124
Joined: Mon Oct 13, 2014 8:01 am

Re: ¿Qué kernel es recomendable?

Post by linxmintq » Thu Sep 06, 2018 7:02 pm

JOPETA wrote:
Sun Sep 02, 2018 11:43 am


2)El kenel (meta-paquete que es el kernel 4.4.0-134) lo instalas la forma gráfica recomendada (ver>kernel de linux>...)>apartado b del post anterior.
Hola JOPETA!

Pasa lo que no quería hacer, al hacer upgrade en la terminal se han instalado automáticamente esas actualizaciones de nivel 5 en rojo, y mas o menos a sucedido lo del largo detalle de tu comentario mas arriba que al final me confundí, y la leyenda en la terminal de esto:

Code: Select all

El paquete indicado a continuación se instaló de forma automática y ya no es necesarios.

 linux-image-extra-4.4.0-128-generic
Use 'apt-get autoremove' to remove it.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.

Code: Select all

 # apt-get autoremove

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Los siguientes paquetes se ELIMINARÁN:
  linux-image-extra-4.4.0-128-generic
0 actualizados, 0 se instalarán, 1 para eliminar y 0 no actualizados.
Se liberarán 155 MB después de esta operación.
¿Desea continuar? [S/n] s
(Leyendo la base de datos ... 308182 ficheros o directorios instalados actualmente.)
Desinstalando linux-image-extra-4.4.0-128-generic (4.4.0-128.154~14.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-128-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
Generando archivo de configuración grub...
Aviso: Ya no se permite establecer GRUB_TIMEOUT a un valor distinto de cero cuando GRUB_HIDDEN_TIMEOUT está activado.
Se encontró una imagen linux: /boot/vmlinuz-4.4.0-134-generic
Se encontró una imagen initrd: /boot/initrd.img-4.4.0-134-generic
Se encontró una imagen linux: /boot/vmlinuz-4.4.0-133-generic
Se encontró una imagen initrd: /boot/initrd.img-4.4.0-133-generic
Se encontró una imagen linux: /boot/vmlinuz-4.4.0-128-generic
Se encontró una imagen initrd: /boot/initrd.img-4.4.0-128-generic
Se encontró una imagen linux: /boot/vmlinuz-3.19.0-32-generic
Se encontró una imagen initrd: /boot/initrd.img-3.19.0-32-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
  No volume groups found
hecho
#
Note:
El sistema desenvuelve mas fluido.

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Fri Sep 07, 2018 4:05 am

linxmintq wrote:
Thu Sep 06, 2018 7:02 pm
Pasa lo que no quería hacer, al hacer upgrade en la terminal se han instalado automáticamente esas actualizaciones de nivel 5 en rojo, y mas o menos a sucedido lo del largo detalle de tu comentario
No ejecutes upgrade en la terminal ya que no sólo instalas las actualizaciones visibles en el Administrador de Actualizaciones (en este caso las actualizaciones de seguridad que tenías que instalar). También instalas otras actualizaciones de software que no se muestran como consecuencia de la aplicación de los filtros de nivel (es decir las actualizaciones del software instalado de todos los niveles). Esto en determinadas circunstancias puede tener efectos muy negativos para la estabilidad del sistema como se comenta aquí.

Por lo demás no veo problemas en los resultados de la terminal, sólo te indica que quedan paquetes que ya no son necesarios. Una vez conseguido que el sistema funciones de forma correcta con el nuevo kernel puedes desinstalar algunos de los kernels anteriores de la forma gráfica recomendada. :wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

linxmintq
Level 3
Level 3
Posts: 124
Joined: Mon Oct 13, 2014 8:01 am

Re: ¿Qué kernel es recomendable?

Post by linxmintq » Fri Sep 07, 2018 5:34 am

JOPETA wrote:
Fri Sep 07, 2018 4:05 am
No ejecutes upgrade en la terminal ya que no sólo instalas las actualizaciones visibles en el Administrador de Actualizaciones (en este caso las actualizaciones de seguridad que tenías que instalar). También instalas otras actualizaciones de software que no se muestran como consecuencia de la aplicación de los filtros de nivel (es decir las actualizaciones del software instalado de todos los niveles). Esto en determinadas circunstancias puede tener efectos muy negativos para la estabilidad del sistema como se comenta aquí.

Por lo demás no veo problemas en los resultados de la terminal, sólo te indica que quedan paquetes que ya no son necesarios. Una vez conseguido que el sistema funciones de forma correcta con el nuevo kernel puedes desinstalar algunos de los kernels anteriores de la forma gráfica recomendada. :wink:
Gracias JOPETA , es molestoso ver en cada actualizacion ap-get update que se haga o se instale un nuevo paquete o se vuelva a reinstalar una nueva versión de Virtualbox se muestre esa leyenda en la terminal de que ese paquete linux-image-extra-4.4.0-128-generic
no es necesario y que la GRUB no permite a un valor distinto de cero.

Code: Select all

Generando archivo de configuración grub...
Aviso: Ya no se permite establecer GRUB_TIMEOUT a un valor distinto de cero cuando GRUB_HIDDEN_TIMEOUT está activado.
Se encontró una imagen linux: /boot/vmlinuz-4.4.0-134-generic
wrote:c)Una vez instalado y reiniciado con él , comprueba que el sistema se comporta de forma adecuada. Si no es así, reinicia y selecciona el kernel anterior (Opciones Avanzadas del menú GRUB) e inicia con él. Desinstala el nuevo kernel de idéntica forma gráfica y espera una nueva actualización que no te cause esos problemas.
Opciones avanzadas del menú GRUB en Linux Mint Xfce 17.3 no se muestran en el escritorio gráfico ni tampoco al inicio del arranque del sistema.

Edited:

En el menú de Synaptic de la pestaña “Paquetes” todo su contenido se observa desactivado sin poder hacer nada en el futuro.

User avatar
JOPETA
Level 13
Level 13
Posts: 4654
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: ¿Qué kernel es recomendable?

Post by JOPETA » Fri Sep 07, 2018 6:54 am

linxmintq wrote:
Fri Sep 07, 2018 5:34 am
Opciones avanzadas del menú GRUB en Linux Mint Xfce 17.3 no se muestran en el escritorio gráfico ni tampoco al inicio del arranque del sistema.
Si sólo tienes un sistema instalado no se suele mostrar el menú GRUB al inicio por defecto. Debes hacer alguna de las cosas indicadas aquí para ello.

Para mostrar por defecto el menú GRUB debes modificar el archivo /etc/default/grub como te sugiero en el enlace. Es al valor de la última linea comentada a la que se refiere el aviso.

No tiene sentido ocultar el menú GRUB durante el tiempo de 0 segundos que es el que trae por por defecto la segunda línea si está activada (sin el # al inicio) y dejar el valor de 10 segundos para la cuenta atrás que es el que trae por defecto para mostrar el menú GRUB.

Si quieres ver el menú GRUB , mejor desactivar la segunda línea ( #GRUB_HIDDEN_TIMEOUT="0") y establecer en la última el tiempo que prefieras (GRUB_TIMEOUT="10")para seleccionar la opción de inicio que es lo que es lo que propongo en el enlace.

Si no quieres ver el menú por defecto al inicio ambos deberían ser iguales (o 0 o 10 que son los valores por defecto o cualqueir otro X) pero ¿para qué quieres no ver el menú durante X segundos?. SI vas ocultar el menú elimina # de la segunda línea(GRUB_HIDDEN_TIMEOUT="0") y la cuenta atrás ponerla a 0 (GRUB_TIMEOUT="0"). Podrás cancelar el inicio y mostrar el menú GRUB cuando sea necesario, siempre que te funcionen uno de los otros métodos.

El aviso desaparecerá una vez modifiques convenientemente el archivo editándolo con derechos administrativos, guardes los cambios y actualices GRUB (sudo update-grub). :wink:

Editado (no vi que tu lo habías hecho)
linxmintq wrote:
Fri Sep 07, 2018 5:34 am
En el menú de Synaptic de la pestaña “Paquetes” todo su contenido se observa desactivado sin poder hacer nada en el futuro.
Las opciones del menú Paquetes son aplicables a los paquetes previamente seleccionados. Si no seleccionas algún paquete> nada que hacer>todo desactivado.

Por otra part e si ya has resulto tus dudas respecto al tema del hilo, deberías darlo por solucionado y/o las nuevas dudas y preguntas que tengas sobre otros temas como los de tus últimos post plantéalas en nuevo hilos.

De no hacerlo así otros usuarios con estas dudas no podrán localizar la respuesta en un hlo sin resolver y/o donde se tratan otros temas no reflejados en el título.

Aislando el resto de las dudas del tema principal, se resumen en lo siguiente:

¿Que kernel es el recomendable? El último de la serie instalada siempre que tenga soporte y no cause problemas. :wink:

Habría que añadir a esto último si viene marcada como actualización de seguridad que viene la mayoría como tales.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

Post Reply

Return to “Español (Spanish)”